Subject: 26.2; info:elisp#Geometry (x-parse-geometry geom)

From: Van L <[email-masked]>
Date: Mon, 22 Apr 2019 20:57:31 +1000

Hello,

In the example given,

          (x-parse-geometry "35x70+0-0")
               ⇒ ((height . 70) (width . 35)
                   (top - 0) (left . 0))
--------------------^
should that be (top . (- 0)) from x-parse-geometry?

--- background context ---

I landed on the above documentation while trying to figure out the following.

I am unable to make-frame have frame height 36 with the following setting in ~/.emacs

(add-to-list 'default-frame-alist '(height . 36))

and in ~/.Xresources, I have

Emacs*geometry: 80x36

Calling `emacs -Q` I have initial frame height of 4, the next make-frame has height 36, the rest of the next make-frame events have height 4.

This is for build detail as follows

GNU Emacs 26.2 (build 1, x86_64-unknown-netbsd8.0, GTK+ Version 3.24.1)
 of 2019-04-15